de.vc.io.rtf.parser

## Class RTFList

- java.lang.Object
- - de.vc.io.rtf.parser.TokenHandler
  - - de.vc.io.rtf.parser.DefaultTokenHandler
    - - de.vc.io.rtf.parser.RTFList

-     public class RTFList
      extends DefaultTokenHandler

  Title:

  Description:

  Copyright: Copyright (c) 2002

  Company:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `id`
    `boolean` | `isSimple`
    `java.util.ArrayList<ListLevel>` | `levels`
    `java.lang.String` | `name`
    `boolean` | `restartEachSection`
    `int` | `templateId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RTFList(ListTable listTable)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `countLevels()`
    `ListLevel` | `getLevel(int idx)`

    - ### Methods inherited from class de.vc.io.rtf.parser.DefaultTokenHandler

      `getCurrentProperties, getParserState, getTokenInput, handleBraceClosed, handleBraceOpened, handleControl, handleText, readTextBytes, readTextOnly, skipCurrentLevel`

    - ### Methods inherited from class de.vc.io.rtf.parser.TokenHandler

      `getDefaultEncoding, getDefinitions, getTextEncoding, handleOptionalHyphen, handleText, handleToken`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          public int id

    - #### templateId

          public int templateId

    - #### isSimple

          public boolean isSimple

    - #### restartEachSection

          public boolean restartEachSection

    - #### name

          public java.lang.String name

    - #### levels

          public java.util.ArrayList<ListLevel> levels

  - ### Constructor Detail

    - #### RTFList

          public RTFList(ListTable listTable)

  - ### Method Detail

    - #### countLevels

          public int countLevels()

    - #### getLevel

          public ListLevel getLevel(int idx)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.